Package org.apache.synapse.transport.nhttp.debug

## Class ServerConnectionDebug

- java.lang.Object
- - org.apache.synapse.transport.nhttp.debug.AbstractConnectionDebug
  - - org.apache.synapse.transport.nhttp.debug.ServerConnectionDebug

-     public class ServerConnectionDebug
      extends AbstractConnectionDebug

  A connection debug object would be accumulated during request processing, but only made use of if the connection encounters issues during processing.

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.transport.nhttp.debug.AbstractConnectionDebug

      `fieldSeparator, headers, keyValueSeparator, printAllHeaders, printHeaderNames, printNoHeaders, statementSeparator`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServerConnectionDebug​(org.apache.http.nio.NHttpServerConnection conn)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `dump()` |
    `ClientConnectionDebug` | `getClientConnectionDebug()` |
    `void` | `recordRequestCompletionTime()` |
    `void` | `recordResponseCompletionTime()` |
    `void` | `recordResponseStartTime()` |
    `void` | `setClientConnectionDebug​(ClientConnectionDebug clientConnectionDebug)` |

    - ### Methods inherited from class org.apache.synapse.transport.nhttp.debug.AbstractConnectionDebug

      `format, headersToString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerConnectionDebug

          public ServerConnectionDebug​(org.apache.http.nio.NHttpServerConnection conn)

  - ### Method Detail

    - #### recordResponseStartTime

          public void recordResponseStartTime()

    - #### recordRequestCompletionTime

          public void recordRequestCompletionTime()

    - #### recordResponseCompletionTime

          public void recordResponseCompletionTime()

    - #### setClientConnectionDebug

          public void setClientConnectionDebug​(ClientConnectionDebug clientConnectionDebug)

    - #### getClientConnectionDebug

          public ClientConnectionDebug getClientConnectionDebug()

    - #### dump

          public String dump()

      Specified by:
        `dump` in class `AbstractConnectionDebug`